> ## Documentation Index
> Fetch the complete documentation index at: https://docs.peec.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Model Channels

> List the model channels



## OpenAPI

````yaml https://api.peec.ai/customer/v1/openapi/json get /model-channels
openapi: 3.0.3
info:
  title: Peec AI Customer API
  description: Development documentation
  version: 1.0.0
  contact:
    name: Peec AI Team
    email: support@peec.ai
servers:
  - url: https://api.peec.ai/customer/v1
security: []
paths:
  /model-channels:
    get:
      tags:
        - Project
      summary: List Model Channels
      description: List the model channels
      operationId: getModel-channels
      parameters:
        - name: project_id
          in: query
          required: false
          schema:
            description: Required if using a company api key
            example: or_f45b94ba-5e35-4982-93ed-285e72ee14eb
            type: string
        - name: limit
          in: query
          required: false
          schema:
            default: 1000
            type: number
            minimum: 1
            maximum: 10000
        - name: offset
          in: query
          required: false
          schema:
            default: 0
            type: number
            minimum: 0
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: openai-0
                        description:
                          type: string
                          description: Human-readable description of the model channel.
                          example: ChatGPT Website
                        current_model:
                          type: object
                          properties:
                            id:
                              type: string
                              example: perplexity-scraper
                          required:
                            - id
                          description: The currently active model in this channel.
                        is_active:
                          type: boolean
                          description: >-
                            Indicates if the model channel is active for the
                            project.
                        unsupported_country_codes:
                          type: array
                          items:
                            type: string
                            enum:
                              - AE
                              - AL
                              - AM
                              - AR
                              - AT
                              - AU
                              - BA
                              - BE
                              - BG
                              - BH
                              - BO
                              - BR
                              - BS
                              - BY
                              - CA
                              - CH
                              - CL
                              - CN
                              - CO
                              - CR
                              - CY
                              - CZ
                              - DE
                              - DK
                              - DO
                              - EC
                              - EE
                              - EG
                              - ES
                              - FI
                              - FR
                              - GB
                              - GE
                              - GH
                              - GR
                              - GT
                              - HK
                              - HN
                              - HR
                              - HU
                              - ID
                              - IE
                              - IL
                              - IN
                              - IQ
                              - IS
                              - IT
                              - JO
                              - JP
                              - KR
                              - KW
                              - LB
                              - LI
                              - LT
                              - LU
                              - LV
                              - MA
                              - MD
                              - ME
                              - MK
                              - MT
                              - MX
                              - MY
                              - NG
                              - NI
                              - NL
                              - 'NO'
                              - NZ
                              - OM
                              - PK
                              - PA
                              - PE
                              - PH
                              - PL
                              - PT
                              - PY
                              - PS
                              - QA
                              - RO
                              - RS
                              - SA
                              - SE
                              - SG
                              - SI
                              - SK
                              - SV
                              - TH
                              - TN
                              - TR
                              - TW
                              - UA
                              - US
                              - UY
                              - VE
                              - VN
                              - ZA
                              - AD
                              - AF
                              - AS
                              - AZ
                              - BB
                              - BQ
                              - CG
                              - CI
                              - CM
                              - CW
                              - DM
                              - DZ
                              - FO
                              - GF
                              - GP
                              - JM
                              - KG
                              - KH
                              - KI
                              - KZ
                              - LK
                              - LR
                              - LS
                              - MW
                              - NC
                              - PG
                              - TD
                              - TF
                              - UG
                              - VU
                              - ZW
                          description: >-
                            Country codes that cannot be used with this channel.
                            Chats requested for these countries are not created.
                      required:
                        - id
                        - description
                        - current_model
                        - is_active
                        - unsupported_country_codes
                required:
                  - data
                description: Success
                example:
                  data:
                    - id: openai-0
                      description: ChatGPT
                      current_model:
                        id: chatgpt-scraper
                      is_active: true
                      unsupported_country_codes: []
                    - id: amazon-0
                      description: Amazon Rufus UI
                      current_model:
                        id: amazon-rufus-scraper
                      is_active: true
                      unsupported_country_codes:
                        - AE
                        - AR
                        - AT
      security:
        - APIKeyHeader: []
        - APIKeyQuery: []
        - BearerAuth: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````